﻿@using Microsoft.AspNetCore.Identity

@inject SignInManager<IdentityUser> SignInManager

@if (SignInManager.IsSignedIn(User))
{
    var isAdmin = User.IsInRole(EnumRole.Admin.ToString());
    <form class="form-inline" id="frmLogout" asp-action="Logout" asp-area="" asp-controller="Account" method="post">
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="javascript:void()">Welcome @User.Identity.Name</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="javascript:{}" onclick="document.getElementById('frmLogout').submit();">
                    <i class="fas fa-user-times"></i> Logout
                </a>
            </li>
        </ul>
    </form>
}
else
{
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" asp-action="Login" asp-controller="Account">Login</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" asp-controller="Account" asp-action="Register">Register</a>
        </li>
    </ul>
}